Bug 840214 - (CVE-2012-1961) CVE-2012-1961 Mozilla: X-Frame-Options header ignored when duplicated (MFSA 2012-51)
CVE-2012-1961 Mozilla: X-Frame-Options header ignored when duplicated (MFSA 2...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120717,repor...
: Security
Depends On:
Blocks: 835033
  Show dependency treegraph
 
Reported: 2012-07-14 08:22 EDT by Huzaifa S. Sidhpurwala
Modified: 2012-07-18 03:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-18 03:30:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-07-14 08:22:52 EDT
Bugzilla developer Frédéric Buclin reported that the "X-Frame-Options" header is ignored when the value is duplicated, for example "X-Frame-Options: SAMEORIGIN, SAMEORIGIN". This duplication occurs for unknown reasons on some websites and when it occurs results in Mozilla browsers not being protected against possible clickjacking attacks on those pages.

Reference:
http://www.mozilla.org/security/announce/2012/mfsa2012-51.html 

Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Mozilla developer Frédéric Buclin as the original reporter of this issue.
Comment 1 errata-xmlrpc 2012-07-17 14:57:54 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:1089 https://rhn.redhat.com/errata/RHSA-2012-1089.html
Comment 2 errata-xmlrpc 2012-07-17 15:28:18 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:1088 https://rhn.redhat.com/errata/RHSA-2012-1088.html

Note You need to log in before you can comment on or make changes to this bug.